.sliders-container {
  position: relative;
}

.current-slides-container {
  width: 660px;
  height: 50%;
  overflow: hidden;
}

.all-slides-container {
  display: flex;
  height: 100;

  transition: translate;
  transition-property: transform;
  transition-duration: 1s;
  transition-timing-function: ease-in-out;
}

.button-right,
.button-left {
  position: relative;
  width: 60px;
  height: 60px;
  background-color: transparent;
  border-radius: 50%;
  cursor: pointer;
  bottom: 165px;
}

.button-right {
  left: 410px;
}

.button-left {
  right: 410px;
}

.button-right::before,
.button-left::before {
  content: "";
  width: 30px;
  height: 30px;
  position: absolute;
  box-sizing: border-box;
  top: 15px;
  background-color: transparent;
}

.button-right::before {
  border: 3px solid transparent;
  border-top: 8px solid orange;
  border-right: 8px solid orange;
  transform: rotate(45deg);
  right: 18px;
}

.button-left::before {
  border: 3px solid transparent;
  border-top: 8px solid orange;
  border-left: 8px solid orange;
  transform: rotate(-45deg);
  left: 18px;
}

.button-left:hover,
.button-right:hover {
  box-shadow: 0 0 0 2px white, 0 0 0 4px orange;

  animation-name: slider-button-shadow;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes slider-button-shadow {
  0% {
    box-shadow: none;
  }
}

@media screen and (max-width: 992px) {
  .current-slides-container {
    width: 660px;
  }

  .button-right {
    left: 380px;
  }

  .button-left {
    right: 380px;
  }

  .button-left:hover,
  .button-right:hover {
    box-shadow: none;
  }
}

@media screen and (max-width: 768px) {
  .current-slides-container {
    width: 440px;
  }

  .button-right {
    left: 270px;
  }

  .button-left {
    right: 270px;
  }

  .button-left:hover,
  .button-right:hover {
    box-shadow: none;
  }
}

@media screen and (max-width: 576px) {
  .current-slides-container {
    width: 220px;
  }

  .button-right {
    left: 170px;
  }

  .button-left {
    right: 170px;
  }

  .button-left:hover,
  .button-right:hover {
    box-shadow: none;
  }
}
